﻿.background-blur {
    backdrop-filter: blur(10px);
}

.background-transparent {
    background-color: #ffffff47 !important;
}

.background-transparent-student-portal {
    background-color: #edf0f3cc !important;
}

/*.mud-fab-label {
    color: #f0e6ef !important;
}

.mud-button-label {
    color: #f0e6ef !important;
}

.mud-chip-content {
    color: #f0e6ef !important;
}
*/
.mud-table-empty-row {
    background-color: #ffffff47 !important;
}

.theme-background-popups {
    background-color: #f8f3ef !important;
}

.progress-dialog-theme-background-popups {
    background-color: transparent !important;
    box-shadow: unset !important;
}

.theme-child-grid {
    border: solid 1px #d1d1d1 !important;
    background-color: #f5f0ed6b !important;
    border-radius: 15px !important;
}

.theme-child-card {
    border: solid 1px #d1d1d1 !important;
    background-color: #f5f0ed6b !important;
    border-radius: 25px !important;
}

.search-reset-button {
    color: #ff4081 !important;
}

.search-create-button {
    color: #ff4081 !important;
}

.mud-tabs-tabbar.mud-tabs-rounded {
    background-color: #f9f9f900 !important;
}

.sign-out-button {
    background: #2eb97e !important;
    padding: 10PX !important;
    border-radius: 5px !important;
    color: #fff !important;
    border: none !important;
    cursor: pointer;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
}

    .sign-out-button:hover,
    .sign-out-button:focus {
        animation: pulse 1.5s infinite;
        outline: none; /* Removes default browser focus ring */
    }

.account-button {
    background: #bc9815c7 !important;
    padding: 10PX !important;
    border-radius: 5px !important;
    color: #fff !important;
    border: none !important;
    cursor: pointer;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
}

    .account-button:hover,
    .account-button:focus {
        animation: pulse 1.5s infinite;
        outline: none; /* Removes default browser focus ring */
    }

.banner-five__shape4 {
    top: 125px !important;
    left: 80% !important;
}

.banner-five__shape6 {
    bottom: 390px !important;
    right: 35px !important;
}

.banner-five__image .image-bg {
    height: 210px !important;
    width: auto !important;
}

.banner-five-area {
    min-height: 100vh !important;
}

.banner-six-area {
    min-height: 100vh !important;
}

.banner-six__image .shape2 {
    top: -90px !important;
    right: 500px !important;
}

.banner-six__image .shape3 {
    bottom: 0px !important;
    right: -300px !important;
    width: 150px !important;
    height: auto !important;
}

.super-admin-content {
    font-size: 9px !important;
}

.payment-badge {
    align-items: center !important;
}
    .payment-badge .mud-input-helper-text {
        align-items: center !important;
        font-size: 9px !important;
        color: #3e2cdd !important;
        font-weight: 600 !important;
    }

.login-fab {
    background-color: #2eb97e !important;
    width: 100% !important;
    height: 45px !important;
    font-weight: 600 !important;
}

.passkey-fab {
    background-color: #5866eb !important;
    width: 100% !important;
    height: 45px !important;
    font-weight: 600 !important;
}

    /* Pulse animation */
    @keyframes pulse {
        0% {
            transform: scale(1);
            box-shadow: 0 0 0 0 rgba(46, 185, 126, 0.7);
        }

        70% {
            transform: scale(1.05);
            box-shadow: 0 0 0 10px rgba(46, 185, 126, 0);
        }

        100% {
            transform: scale(1);
            box-shadow: 0 0 0 0 rgba(46, 185, 126, 0);
        }
    }

    @media (min-width: 1400px) {
        .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
            max-width: 1750px !important;
        }
    }
